red team
List red team workspace
Requires scopes: red_team:read
GET
/
api
/
red-team
/
workspace
List red team workspace
curl --request GET \
--url https://evalgate.com/api/red-team/workspace \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/red-team/workspace"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/red-team/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"riskPacks": [
{
"cases": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"riskPackVersionId": "<string>",
"caseKey": "<string>",
"category": "prompt_injection",
"technique": "<string>",
"input": "<string>",
"expectedSafeBehavior": "<string>",
"successIndicators": [
"<string>"
],
"severity": "low",
"source": "<string>",
"reviewStatus": "<string>",
"contentHash": "<string>",
"generatedModelCallId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewRationale": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": 123,
"artifactVersionId": 123,
"packKey": "<string>",
"version": 123,
"taxonomy": "<string>",
"taxonomyVersion": "<string>",
"status": "<string>",
"contentHash": "<string>",
"packSnapshot": {},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"reviewRationale": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z"
}
],
"campaigns": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"ownerId": "<string>",
"status": "<string>",
"createIdempotencyKey": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "<string>",
"version": 123,
"status": "<string>",
"targetType": "<string>",
"targetArtifactId": 123,
"targetArtifactVersionId": 123,
"targetContentHash": "<string>",
"snapshotHash": "<string>",
"snapshot": {
"schemaVersion": 1,
"target": {
"type": "prompt",
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"environment": "<string>"
},
"seed": 123,
"variants": [
{
"provider": "<string>",
"model": "<string>",
"parameters": {},
"key": "<string>",
"routingProfileId": "<string>"
}
],
"budget": {
"maxCostUsd": 123,
"maxModelCalls": 123,
"concurrency": 123
},
"riskPackVersions": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"taxonomy": "<string>",
"taxonomyVersion": "<string>"
}
],
"attackCases": [
{
"input": "<string>",
"severity": "low",
"id": "<string>",
"contentHash": "<string>",
"source": "generated",
"category": "prompt_injection",
"reviewStatus": "approved",
"riskPackVersionId": 123,
"caseKey": "<string>",
"technique": "<string>",
"expectedSafeBehavior": "<string>",
"successIndicators": [
"<string>"
]
}
],
"scorers": [
{
"artifactId": 123,
"versionId": 123,
"contentHash": "<string>",
"required": true
}
],
"datasetVersionId": "<string>",
"createdFromRunId": "<string>"
},
"createdFromRunId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"approvalRationale": "<string>",
"approvedAt": "2023-11-07T05:31:56Z"
}
],
"runs": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "<string>",
"campaignVersionId": "<string>",
"rerunOfRunId": "<string>",
"status": "<string>",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"workerId": "<string>",
"reservedCostCents": 123,
"actualCostCents": 123,
"totalCases": 123,
"completedCases": 123,
"attackSuccessCount": 123,
"startedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelRequestedBy": "<string>",
"cancelRationale": "<string>",
"cancelledAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failureCode": "<string>",
"failureMessage": "<string>"
}
],
"findings": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "<string>",
"firstRunId": "<string>",
"latestResultId": "<string>",
"fingerprint": "<string>",
"category": "prompt_injection",
"severity": "low",
"confidence": 123,
"status": "<string>",
"title": "<string>",
"summary": "<string>",
"ownerId": "<string>",
"adjudicationItemId": 123,
"candidateCaseId": 123,
"remediationExperimentId": "<string>",
"signedReportId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
List red team workspace
